<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Proxy SSL API</title>
    <filename>main</filename>
    <docanchor file="main">globus_gsi_proxy_ssl_api</docanchor>
  </compound>
  <compound kind="group">
    <name>proxycertinfo</name>
    <title>ProxyCertInfo</title>
    <filename>group__proxycertinfo.html</filename>
    <class kind="struct">PROXYCERTINFO_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYCERTINFO_asn1_meth</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g8edcf2da950e4f35bdb8d5feb2ac79e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_new</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g1bffdf703031f8e4c7dcaaedc1f0d625</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYCERTINFO_free</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g214b9024d20b41c61a098173ba846bc5</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_dup</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gc1966a55fdb22022072cd7c5f83a0a6c</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_cmp</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g879875b8ef4142cba865dceaf881d9fb</anchor>
      <arglist>(const PROXYCERTINFO *a, const PROXYCERTINFO *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g52212742730952f056195e6c707ad563</anchor>
      <arglist>(BIO *bp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print_fp</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gccc4c03e057c2a544a7c005e3f54fc68</anchor>
      <arglist>(FILE *fp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_policy</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>ge5f18b1d6eb4b15a045cea75ed9ccb5d</anchor>
      <arglist>(PROXYCERTINFO *cert_info, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYCERTINFO_get_policy</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g4a4ac7776b0835dab725eb53e0caa632</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_path_length</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gda6f4d36ca8789cae3b136f4eaf6486e</anchor>
      <arglist>(PROXYCERTINFO *cert_info, long path_length)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>PROXYCERTINFO_get_path_length</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gf17248bc4bac1a2fa43c210fe5d9aa27</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g26b256011cbf9a97a4169262abe6e9cd</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>gfcc55d0a7e5234b9b58309227e4faf10</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO_OLD</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g5ccdd58b16cd25214282fdb40ab4871e</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO_OLD</name>
      <anchorfile>group__proxycertinfo.html</anchorfile>
      <anchor>g15c4d23f8fae8daa6267b52fa4b1bcc6</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>proxypolicy</name>
    <title>ProxyPolicy</title>
    <filename>group__proxypolicy.html</filename>
    <class kind="struct">PROXYPOLICY_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYPOLICY_asn1_meth</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g2263c526689a92a461db32641c763d7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_new</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>gc4eb90b8d9eb33791c2cfe556f2e430d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYPOLICY_free</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g0dc7949e3f26385bb8ddd5a97f1b4e8a</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_dup</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g2b9cd3151c57be059864397f10c9fde6</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_cmp</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g16d3c1bbfbc9f7780e1787aa1dd5a9ba</anchor>
      <arglist>(const PROXYPOLICY *a, const PROXYPOLICY *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g001acc1bcaf9d81518b3ecbb031bc679</anchor>
      <arglist>(BIO *bp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print_fp</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g6556b71514c9967ea60fa1131c780182</anchor>
      <arglist>(FILE *fp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy_language</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g5a56cbedd60d383f7a6dda891c46c099</anchor>
      <arglist>(PROXYPOLICY *policy, ASN1_OBJECT *policy_language)</arglist>
    </member>
    <member kind="function">
      <type>ASN1_OBJECT *</type>
      <name>PROXYPOLICY_get_policy_language</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g836c488c15354a15965f7fa92f09c71e</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>gc279ffee607380aa64be2201cf7cce57</anchor>
      <arglist>(PROXYPOLICY *proxypolicy, unsigned char *policy, int length)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char *</type>
      <name>PROXYPOLICY_get_policy</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g22604518fec4b14d764181c131f42381</anchor>
      <arglist>(PROXYPOLICY *policy, int *length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYPOLICY</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>gca74fda50eec1e1da8c00d216d7857af</anchor>
      <arglist>(PROXYPOLICY *a, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>d2i_PROXYPOLICY</name>
      <anchorfile>group__proxypolicy.html</anchorfile>
      <anchor>g173b7bc1d738a0e3145dc22dfedd7e24</anchor>
      <arglist>(PROXYPOLICY **a, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PROXYCERTINFO_st</name>
    <filename>structPROXYCERTINFO__st.html</filename>
  </compound>
  <compound kind="struct">
    <name>PROXYPOLICY_st</name>
    <filename>structPROXYPOLICY__st.html</filename>
  </compound>
</tagfile>
